using GadgetCore;
using GadgetCore.API;
using HarmonyLib;
using System;
using System.Reflection;
using UnityEngine;

namespace CombatChipChest.Patches
{

  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("SaveGame")]
  [HarmonyGadget("CombatChipChest")]
  public static class Patch_GameScript_SaveGame
  {
    [HarmonyPrefix]
    public static void Prefix(GameScript __instance, int dood)
    {
      Core.combatChipStore.Save();
    }
  }
}